import peewee as pw


class IgnoreList(pw.Model):
    ip = pw.CharField(primary_key=True, null=False)

    class Meta:
        db_table = "ignore_list"


def migrate(migrator, database, fake=False, **kwargs):
    """Write your migrations here."""
    migrator.create_model(IgnoreList)


def rollback(migrator, database, fake=False, **kwargs):
    """Write your rollback migrations here."""
    IgnoreList = migrator.orm["ignore_list"]
    migrator.drop_model(IgnoreList)
